services:
  configdb-api:
    container_name: configdb-api
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-configdb/api:2.5.0
    restart: unless-stopped
    # depends_on:
    #   - mariadb
    command: ["s6-setuidgid", "itk", "uvicorn", "asgi:app", "--host", "0.0.0.0", "--port", "5000", "--workers", "4", "--timeout-keep-alive", "600", "--log-config", "/config/uvicorn_log_config.yaml"]
    volumes:
      - sqlite:/config/database
    ports:
      - 5001:5000
    extra_hosts:
      - "host.docker.internal:host-gateway"
    environment:
      - DATABASE_KEY=demi/${STACK}/postgres/url
      - SR_URL=${SR_URL:-http://${HOST}:5111/api}
      - DATABASE_USER=configdb
      - DATABASE_PW=test
      - CONFIGDB_API_WORKERS=4
      - CONFIGDB_DATABASE_TYPE=postgres
      #- CONFIGDB_DATABASE_URI=configdb:test@postgres:5432/configdb
      # - DEBUG_MODE=1
      - DEVELOPER_MODE=1
      - DEMI_ADD_ITK_USER=1
      - S6_VERBOSITY=1
      - S6_KEEP_ENV=1
      - S6_CMD_WAIT_FOR_SERVICES_MAXTIME=0
    labels:
      - demi.${STACK}.itk-demo-configdb.api.host=${HOST}
      - demi.${STACK}.itk-demo-configdb.api.url_postfix=/docs
      - demi.${STACK}.itk-demo-configdb.api.url_prefix=/api
      - demi.${STACK}.itk-demo-configdb.api.health=/health
      - demi.${STACK}.itk-demo-configdb.api.description=configuration, runkey and result database
      - demi.${STACK}.itk-demo-configdb.api.protocol=http
      - demi.${STACK}.itk-demo-configdb.api.category=Microservice
      - demi.${STACK}.itk-demo-configdb.api.api_name=configdb
    healthcheck:
      test: curl -sS --fail http://localhost:5000/api/health || exit 1
      interval: 60s
      retries: 5
      start_period: 20s
      timeout: 10s

  pyconfigdb:
    container_name: pyconfigdb
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-configdb/pyconfigdb:2.5.0
    command: ["s6-setuidgid", "itk", "sleep", "infinity"]
    environment:
      - PUID
      - PGID
      - TZ
      - DEMI_ADD_ITK_USER=1
      - S6_VERBOSITY=0
      - S6_KEEP_ENV=1
      - KEY=demi/${STACK}/itk-demo-configdb/api/url
      - SR_URL=${SR_URL:-http://${HOST}:5111/api}
    extra_hosts:
      - host.docker.internal:host-gateway
      - ${HOST}:host-gateway
    volumes:
      - ${BASE_DIR}/configuration_files:/runkey


volumes:
  sqlite:

networks:
  default:
    name: deminet
    external: true
